Subject: [Rfc-markdown] 1.3.30: Use rfc-editor/datatracker for RFC/I-D bibxml fetching

From: Carsten Bormann <[email-masked]>
Date: Sat, 13 Feb 2021 00:55:10 +0100

1.3.30: Use rfc-editor/datatracker for RFC/I-D bibxml fetching.
(This patch only has an effect on stand_alone: true documents.)

The previous behavior can be reinstated by setting the environment variable KRAMDOWN_USE_TOOLS_SERVER to any value.

This emergency patch became necessary as xml2rfc.tools.ietf.org is currently serving outdated data, as well as missing updates, in some cases for more than a week.  

Unless people see problems with this change, this patch is likely to stay, as the update rates of the “official” sources are much closer to real-time, and this may count a lot in the final hours of the I-D deadline frenzy, which we all cherish.

(If you want to see some of the outdated data, have a look at https://www.ietf.org/archive/id/draft-bormann-cbor-notable-tags-03.html from today, which for instance references http://www.ietf.org/internet-drafts/draft-ietf-cose-rfc8152bis-struct-14.txt, which is 404.  More details at the thread starting at https://mailarchive.ietf.org/arch/msg/tools-discuss/AxvlPNoeGRTq92J_fIn4iCRN-mI/ .)

Note that this does not replace xml2rfc.tools.ietf.org as bibxml sources for other types of documents.  With the patch in 1.3.29, that part seems to be limping along fine, however.

Grüße, Carsten